summaryrefslogtreecommitdiff
path: root/debian/tt-rss-common.postinst
diff options
context:
space:
mode:
authorAndrew Dolgov <[email protected]>2011-11-11 00:02:53 +0400
committerAndrew Dolgov <[email protected]>2011-11-11 00:02:53 +0400
commitd0cafcf4a048bfcc72d9523d20d61ba719e566cd (patch)
tree8d99e9b8f7009076da1f507bde405d4d0f8cd865 /debian/tt-rss-common.postinst
parent17140b71edaad9160742a33f094f94479bbbd573 (diff)
add debianization scripts based on work by Florent USSEIL
Diffstat (limited to 'debian/tt-rss-common.postinst')
-rw-r--r--debian/tt-rss-common.postinst48
1 files changed, 48 insertions, 0 deletions
diff --git a/debian/tt-rss-common.postinst b/debian/tt-rss-common.postinst
new file mode 100644
index 000000000..2b455cacb
--- /dev/null
+++ b/debian/tt-rss-common.postinst
@@ -0,0 +1,48 @@
+#!/bin/sh
+set -e
+
+PACKAGE=tt-rss-mysql
+
+case "$1" in
+ configure)
+
+ # source debconf stuff
+ if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+ fi
+
+
+ echo "create misc folders"
+ if [ ! -d /usr/share/tt-rss/www/icons/ ]; then
+ install -d -m775 -gwww-data /usr/share/tt-rss/www/icons
+ fi
+
+ if [ ! -d /var/lock/tt-rss ]; then
+ install -d -m775 -gwww-data /var/lock/tt-rss
+ fi
+
+ if [ ! -d /var/cache/tt-rss/htmlpurifier ]; then
+ install -d -m775 -gwww-data /var/cache/tt-rss/htmlpurifier
+ fi
+
+ if [ ! -d /var/cache/tt-rss/magpie ]; then
+ install -d -m775 -gwww-data /var/cache/tt-rss/magpie
+ fi
+
+ if [ ! -d /var/cache/tt-rss/simplepie ]; then
+ install -d -m775 -gwww-data /var/cache/tt-rss/simplepie
+ fi
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
+#DEBHELPER#